# Zeroagent - Next-Gen AI Knowledge Agent for Webpages

Zeroagent is a next-gen AI-powered agent designed to interact with users, answer queries, provide product overviews, and much more — "Just like having a conversation between your website and visitors".

![zeroagent-thumbnail](https://firebasestorage.googleapis.com/v0/b/zeromagicsite.appspot.com/o/zeroagent%2Fzeroagent.png?alt=media&token=d0a90177-1061-4b64-889f-6f53ac47721b)


### Step 1: Create Your Zeroagent Account
- Log in to the [Zeroagent Console](https://zeroagent.io/).
- Create a new website by following the dashboard instructions.
- Copy your AppID and AppKey from your Zeroagent dashboard.

### Step 2: Import Zeroagent into Your Project
To get started, import the Zeroagent package into your project using npm:
```
npm install @zeroagent/js
```

### Step 3: Configure Zeroagent in Your Application

Once installed, you can embed the Zeroagent widget in your webpage by adding the following code:

```js
import Zeroagent from '@zeroagent/js';

<Zeroagent appID={'<YOUR_APP_ID>'} appKey={'<YOUR_APP_KEY>'} />
```

> **Note** : Peer Dependency: Ensure react is installed in your project. If it’s missing, simply run: 
> ```
> npm install react react-dom
> ```

### Step 4: Build Your AI Knowledge Base
- Log in to the [Zeroagent Console](https://zeroagent.io/) and start creating your knowledge base by adding useful data and FAQs.
- Customize and refine your AI assistant to better understand and serve your customers.

## Ready to Dive In?

Start transforming your website with [Zeroagent](https://zeroagent.io/) today. Enhance user engagement and provide smarter, more personalized interactions.